﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace InsuranceApp
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class CalcPage : Page
    {
        public CalcPage()
        {
            this.InitializeComponent();
        }

        public void setPrice(string price)
        {
            this.calc_price_tb.Text = price;
        }

        private void calc_back_btn_Click(object sender, RoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(MainPage));
        }

        private void calc_calc_btn_Click(object sender, RoutedEventArgs e)
        {
            ServerCommunication com = new ServerCommunication();
            EventListener listener = new EventListener(com, this);
            com.Save_Data(this.calc_postalCode_tb.Text, this.calc_address_tb.Text, this.calc_area_tb.Text, this.calc_buildYear_tb.Text, this.calc_insuranceStartDate_dp.Date.ToString("dd.MM.yyyy"), this.calc_houseType_cb.SelectedValue.ToString(), this.calc_billingPeriod_cb.SelectedValue.ToString(), this.calc_currency_cb.SelectedValue.ToString());
            //com.Save_Data("12345","Katu 1","79.5","1000","01.01.2016","SAUNA","YEAR","EUR");
            com.Calculate_Insurance();
        }
    }
}
